CREATE TABLE inv_subinv_maint_details (
    INV_SUBINV_MAINT_DETAIL_ID        NUMBER(18, 0) ,
    LPN_CONTROLLED_FLAG               NUMBER(9, 0)  ,
    MASS_MAINT_ACTION_ID              NUMBER(18, 0)     NOT NULL,
    ORGANIZATION_ID                   NUMBER(18, 0) ,
    ORGANIZATION_CODE                 VARCHAR2(72)  ,
    SECONDARY_INVENTORY_NAME          VARCHAR2(40)      NOT NULL,
    SUBINVENTORY_TYPE_CODE            VARCHAR2(120) ,
    SUBINVENTORY_TYPE_NAME            VARCHAR2(320) ,
    STRUCTURE_INSTANCE_NUMBER         NUMBER(18, 0) ,
    STRUCTURE_INSTANCE_NAME           VARCHAR2(240) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    DESCRIPTION                       VARCHAR2(200) ,
    DISABLE_DATE                      VARCHAR2(80)  ,
    LOCATOR_TYPE                      VARCHAR2(320) ,
    LOCATOR_TYPE_CODE                 VARCHAR2(120) ,
    PICKING_ORDER                     NUMBER        ,
    QUANTITY_TRACKED                  NUMBER        ,
    QUANTITY_TRACKED_MEANING          VARCHAR2(320) ,
    ASSET_INVENTORY                   NUMBER        ,
    ASSET_INVENTORY_MEANING           VARCHAR2(320) ,
    DEPRECIABLE_FLAG                  NUMBER        ,
    DEPRECIABLE_FLAG_MEANING          VARCHAR2(320) ,
    SOURCE_TYPE_CODE                  VARCHAR2(120) ,
    SOURCE_TYPE_NAME                  VARCHAR2(320) ,
    SOURCE_SUBINVENTORY               VARCHAR2(40)  ,
    SOURCE_ORGANIZATION_ID            NUMBER(18, 0) ,
    SOURCE_ORGANIZATION_NAME          VARCHAR2(960) ,
    PREPROCESSING_LEAD_TIME           NUMBER        ,
    PROCESSING_LEAD_TIME              NUMBER        ,
    POSTPROCESSING_LEAD_TIME          NUMBER        ,
    LOCATION_ID                       NUMBER(18, 0) ,
    LOCATION_NAME                     VARCHAR2(960) ,
    STATUS_ID                         NUMBER(18, 0) ,
    STATUS_CODE                       VARCHAR2(320) ,
    DEFAULT_LOC_STATUS_ID             NUMBER(18, 0) ,
    DEFAULT_LOC_STATUS_CODE           VARCHAR2(320) ,
    PLANNING_LEVEL                    NUMBER        ,
    PLANNING_LEVEL_MEANING            VARCHAR2(320) ,
    DEFAULT_COUNT_TYPE_CODE           VARCHAR2(120) ,
    DEFAULT_COUNT_TYPE_NAME           VARCHAR2(320) ,
    FILL_KILL_TO_LOOKUP_CODE          VARCHAR2(120) ,
    FILL_KILL_TO_LOOKUP_NAME          VARCHAR2(320) ,
    COUNT_METHOD_CODE                 VARCHAR2(120) ,
    COUNT_METHOD_NAME                 VARCHAR2(320) ,
    SUBINVENTORY_GROUP                VARCHAR2(400) ,
    PROCESSING_STATUS_CODE            VARCHAR2(120)     NOT NULL,
    INVENTORY_ATP_CODE                NUMBER(9, 0)  ,
    AVAILABILITY_TYPE                 NUMBER(9, 0)  ,
    RESERVABLE_TYPE                   NUMBER(9, 0)  ,
    ERROR_CODE                        VARCHAR2(120) ,
    ERROR_EXPLANATION                 VARCHAR2(960) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    ORACLE_HEALTH_LOCATION            VARCHAR2(4)   ,
    ORACLE_HEALTH_LOCATION_MEANING    VARCHAR2(80)  ,
    USE_SUB_MFG_MNT_IN_WMS            VARCHAR2(4)   ,
    USE_SUB_MFG_MNT_IN_WMS_MEANING    VARCHAR2(80)  ,
    USE_PACK_UNIT_COMP_RET            VARCHAR2(4)   ,
    USE_PACK_UNIT_COMP_RET_MEANING    VARCHAR2(80)  ,
    ALLOW_OFFLINE_MODE                VARCHAR2(4)   ,
    ALLOW_OFFLINE_MODE_MEANING        VARCHAR2(80)  ,
    AUTO_CREATE_DELIVERIES            VARCHAR2(4)   ,
    AUTO_CREATE_DEL_MEANING           VARCHAR2(80)  ,
    FULL_LPN_FLAG                     VARCHAR2(4)   ,
    SUBINVENTORY_NAME                 VARCHAR2(120) ,
    NUMBER_OF_BINS                    NUMBER        ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    INV_SUBINV_MAINT_DETAIL_ID        NUMBER(18, 0) ,
    MASS_MAINT_ACTION_ID              NUMBER(18, 0)     NOT NULL,
    ORGANIZATION_ID                   NUMBER(18, 0) ,
    ORGANIZATION_CODE                 VARCHAR2(72)  ,
    SECONDARY_INVENTORY_NAME          VARCHAR2(40)      NOT NULL,
    SUBINVENTORY_TYPE_CODE            VARCHAR2(120) ,
    SUBINVENTORY_TYPE_NAME            VARCHAR2(320) ,
    STRUCTURE_INSTANCE_NUMBER         NUMBER(18, 0) ,
    STRUCTURE_INSTANCE_NAME           VARCHAR2(240) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    DESCRIPTION                       VARCHAR2(200) ,
    DISABLE_DATE                      VARCHAR2(80)  ,
    LOCATOR_TYPE                      VARCHAR2(320) ,
    LOCATOR_TYPE_CODE                 VARCHAR2(120) ,
    PICKING_ORDER                     NUMBER        ,
    QUANTITY_TRACKED                  NUMBER        ,
    QUANTITY_TRACKED_MEANING          VARCHAR2(320) ,
    ASSET_INVENTORY                   NUMBER        ,
    ASSET_INVENTORY_MEANING           VARCHAR2(320) ,
    DEPRECIABLE_FLAG                  NUMBER        ,
    DEPRECIABLE_FLAG_MEANING          VARCHAR2(320) ,
    SOURCE_TYPE_CODE                  VARCHAR2(120) ,
    SOURCE_TYPE_NAME                  VARCHAR2(320) ,
    SOURCE_SUBINVENTORY               VARCHAR2(40)  ,
    SOURCE_ORGANIZATION_ID            NUMBER(18, 0) ,
    SOURCE_ORGANIZATION_NAME          VARCHAR2(960) ,
    PREPROCESSING_LEAD_TIME           NUMBER        ,
    PROCESSING_LEAD_TIME              NUMBER        ,
    POSTPROCESSING_LEAD_TIME          NUMBER        ,
    LOCATION_ID                       NUMBER(18, 0) ,
    LOCATION_NAME                     VARCHAR2(960) ,
    STATUS_ID                         NUMBER(18, 0) ,
    STATUS_CODE                       VARCHAR2(320) ,
    DEFAULT_LOC_STATUS_ID             NUMBER(18, 0) ,
    DEFAULT_LOC_STATUS_CODE           VARCHAR2(320) ,
    PLANNING_LEVEL                    NUMBER        ,
    PLANNING_LEVEL_MEANING            VARCHAR2(320) ,
    DEFAULT_COUNT_TYPE_CODE           VARCHAR2(120) ,
    DEFAULT_COUNT_TYPE_NAME           VARCHAR2(320) ,
    FILL_KILL_TO_LOOKUP_CODE          VARCHAR2(120) ,
    FILL_KILL_TO_LOOKUP_NAME          VARCHAR2(320) ,
    COUNT_METHOD_CODE                 VARCHAR2(120) ,
    COUNT_METHOD_NAME                 VARCHAR2(320) ,
    SUBINVENTORY_GROUP                VARCHAR2(400) ,
    PROCESSING_STATUS_CODE            VARCHAR2(120)     NOT NULL,
    INVENTORY_ATP_CODE                NUMBER(9, 0)  ,
    AVAILABILITY_TYPE                 NUMBER(9, 0)  ,
    RESERVABLE_TYPE                   NUMBER(9, 0)  ,
    ERROR_CODE                        VARCHAR2(120) ,
    ERROR_EXPLANATION                 VARCHAR2(960) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    ORACLE_HEALTH_LOCATION            VARCHAR2(4)   ,
    ORACLE_HEALTH_LOCATION_MEANING    VARCHAR2(80)  ,
    USE_SUB_MFG_MNT_IN_WMS            VARCHAR2(4)   ,
    USE_SUB_MFG_MNT_IN_WMS_MEANING    VARCHAR2(80)  ,
    USE_PACK_UNIT_COMP_RET            VARCHAR2(4)   ,
    USE_PACK_UNIT_COMP_RET_MEANING    VARCHAR2(80)  ,
    ALLOW_OFFLINE_MODE                VARCHAR2(4)   ,
    ALLOW_OFFLINE_MODE_MEANING        VARCHAR2(80)  ,
    LPN_CONTROLLED_FLAG               NUMBER(9, 0)  ,
    AUTO_CREATE_DELIVERIES            VARCHAR2(4)   ,
    AUTO_CREATE_DEL_MEANING           VARCHAR2(80)  ,
    FULL_LPN_FLAG                     VARCHAR2(4)   ,
    SUBINVENTORY_NAME                 VARCHAR2(120) ,
    NUMBER_OF_BINS                    NUMBER        ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    CONSTRAINT pk_inv_subinv_maint_details PRIMARY KEY (INV_SUBINV_MAINT_DETAIL_ID, INV_SUBINV_MAINT_DETAIL_ID)
);
